<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubapi
 * @version 0.8.3
 */
class OnpubDateTime
{
    private $year;
    private $month;
    private $day;
    private $hour;
    private $minute;
    private $second;
    private $dateTime;

    function __construct( $dateTime = null )
    {
        if ( !$dateTime ) {
            $dateTime = date( "Y-m-d H:i:s" );
        }

        $this->year = substr( $dateTime, 0, 4 );
        $this->month = substr( $dateTime, 5, 2 );

        if ( stripos( $this->month, '-' ) !== false ) {
            $this->month = '0' . substr( $dateTime, 5, 1 );
        }

        $this->day = substr( $dateTime, 8, 2 );

        if ( stripos( $this->day, ' ' ) !== false ) {
            $this->day = substr( $dateTime, 7, 2 );
        }

        $this->hour = substr( $dateTime, 11, 2 );

        if ( stripos( $this->hour, ':' ) !== false ) {
            $this->hour = substr( $dateTime, 10, 2 );
        }

        $this->minute = substr( $dateTime, 14, 2 );

        if ( stripos( $this->minute, ':' ) !== false ) {
            $this->minute = substr( $dateTime, 13, 2 );
        }

        $this->second = substr( $dateTime, 17, 2 );

        if ( strlen( $this->second ) == 1 ) {
            $this->second = substr( $dateTime, 16, 2 );
        }

        $this->dateTime = $dateTime;
    }

    function compare( $date )
    {
        if ( $this->getYear() > $date->getYear() ) {
            return 1;
        }

        if ( $this->getYear() < $date->getYear() ) {
            return -1;
        }

        if ( $this->getMonth() > $date->getMonth() ) {
            return 1;
        }

        if ( $this->getMonth() < $date->getMonth() ) {
            return -1;
        }

        if ( $this->getDay() > $date->getDay() ) {
            return 1;
        }

        if ( $this->getDay() < $date->getDay() ) {
            return -1;
        }

        if ( $this->getHour() > $date->getHour() ) {
            return 1;
        }

        if ( $this->getHour() < $date->getHour() ) {
            return -1;
        }

        if ( $this->getMinute() > $date->getMinute() ) {
            return 1;
        }

        if ( $this->getMinute() < $date->getMinute() ) {
            return -1;
        }

        if ( $this->getSecond() > $date->getSecond() ) {
            return 1;
        }

        if ( $this->getSecond() < $date->getSecond() ) {
            return -1;
        }

        return 0;
    }

    function toString()
    {
        return $this->year . "-" . $this->month . "-" . $this->day . " " . $this->hour . ":" . $this->minute . ":" . $this->second;
    }

    function getYear()
    {
        return $this->year;
    }

    function setYear( $year )
    {
        $this->year = $year;
    }

    function getMonth()
    {
        return $this->month;
    }

    function setMonth( $month )
    {
        $this->month = $month;
    }

    function decrMonth()
    {
        if ( $this->month == 1 ) {
            $this->month = 12;
            $this->year--;
        }
        else {
            $this->month--;
        }
    }

    function getDay()
    {
        return $this->day;
    }

    function setDay( $day )
    {
        $this->day = $day;
    }

    function decrDay()
    {
        if ( $this->day == 1 ) {
            $this->day = 31;
            $this->month--;
        }
        else {
            $this->day--;
        }
    }

    function getHour()
    {
        return $this->hour;
    }

    function setHour( $hour )
    {
        $this->hour = $hour;
    }

    function getMinute()
    {
        return $this->minute;
    }

    function setMinute( $minute )
    {
        $this->minute = $minute;
    }

    function getSecond()
    {
        return $this->second;
    }

    function setSecond( $second )
    {
        $this->second = $second;
    }

    function getTextualDate()
    {
        return date( "M j, Y", mktime( $this->hour, $this->minute, $this->second, $this->month, $this->day, $this->year ) );
    }

    function getTextualDateTime()
    {
        return date( "M j, Y g:i:s A", mktime( $this->hour, $this->minute, $this->second, $this->month, $this->day, $this->year ) );
    }
}

?>
