<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubapi
 * @version 0.8.3
 */
class OnpubQueryOptions
{
    private $includeAuthors;
    private $includeContent;
    private $orderBy;
    private $order;
    private $page;
    private $rowLimit;
    private $dateLimit;
    private $fullTextSearch;

    function __construct()
    {
        $this->includeAuthors = false;
        $this->includeContent = true;
        $this->orderBy = null;
        $this->order = null;
        $this->page = null;
        $this->rowLimit = null;
        $this->dateLimit = null;
        $this->fullTextSearch = false;
    }

    public function getIncludeAuthors()
    {
        return $this->includeAuthors;
    }

    public function getIncludeContent()
    {
        return $this->includeContent;
    }

    /**
     * @return string
     */
    public function getOrderBy()
    {
        return $this->orderBy;
    }

    /**
     * @return string
     */
    public function getOrder()
    {
        return $this->order;
    }

    public function getPage()
    {
        return $this->page;
    }

    public function getRowLimit()
    {
        return $this->rowLimit;
    }

    public function getDateLimit()
    {
        return $this->dateLimit;
    }

    public function getFullTextSearch()
    {
        return $this->fullTextSearch;
    }

    public function setIncludeAuthors( $includeAuthors )
    {
        $this->includeAuthors = $includeAuthors;
    }

    public function setIncludeContent( $includeContent )
    {
        $this->includeContent = $includeContent;
    }

    /**
     * @param string
     */
    public function setOrderBy( $orderBy )
    {
        $this->orderBy = $orderBy;
    }

    /**
     * @param string
     */
    public function setOrder( $order )
    {
        $this->order = $order;
    }

    public function setPage( $page, $rowLimit )
    {
        $this->page = $page;
        $this->rowLimit = $rowLimit;
    }

    public function setRowLimit( $rowLimit )
    {
        $this->rowLimit = $rowLimit;
    }

    public function setDateLimit( OnpubDateTime $dateLimit )
    {
        $this->dateLimit = $dateLimit;
    }

    public function setFullTextSearch( $fullTextSearch ) {
        $this->fullTextSearch = $fullTextSearch;
    }
}

?>
