<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubapi
 * @version 0.8.3
 */
class OnpubSection
{
    private $ID;
    private $imageID;
    private $websiteID;
    private $parentID;
    private $name;
    private $created;
    private $modified;
    private $articles;
    private $sections;
    private $image;
    private $parent;

    function __construct()
    {
        $this->ID = null;
        $this->imageID = null;
        $this->websiteID = null;
        $this->parentID = null;
        $this->name = "";
        $this->created = new OnpubDateTime();
        $this->modified = new OnpubDateTime();
        $this->articles = array();
        $this->sections = array();
        $this->image = null;
        $this->parent = null;
    }

    /**
     * @return int
     */
    public function getID()
    {
        return $this->ID;
    }

    /**
     * @param int
     */
    public function setID( $ID )
    {
        $this->ID = $ID;
    }

    /**
     * @return int
     */
    public function getImageID()
    {
        return $this->imageID;
    }

    /**
     * @param int
     */
    public function setImageID( $imageID )
    {
        $this->imageID = $imageID;
    }

    /**
     * @return int
     */
    public function getWebsiteID()
    {
        return $this->websiteID;
    }

    /**
     * @param int
     */
    public function setWebsiteID( $websiteID )
    {
        $this->websiteID = $websiteID;
    }

    /**
     * @return int
     */
    public function getParentID()
    {
        return $this->parentID;
    }

    /**
     * @param int
     */
    public function setParentID( $parentID )
    {
        $this->parentID = $parentID;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string
     */
    public function setName( $name )
    {
        $this->name = $name;
    }

    /**
     * @return OnpubDateTime
     */
    public function getCreated()
    {
        return $this->created;
    }

    /**
     * @param OnpubDateTime
     */
    public function setCreated( OnpubDateTime $created )
    {
        $this->created = $created;
    }

    /**
     * @return OnpubDateTime
     */
    public function getModified()
    {
        return $this->modified;
    }

    /**
     * @param OnpubDateTime
     */
    public function setModified( OnpubDateTime $modified )
    {
        $this->modified = $modified;
    }

    /**
     * @return array
     */
    public function getArticles()
    {
        return $this->articles;
    }

    /**
     * @param array $articles
     */
    public function setArticles( $articles )
    {
        $this->articles = $articles;
    }

    /**
     * @param OnpubSection $section
     */
    public function addSection( OnpubSection $section )
    {
        $this->sections[] = $section;
    }

    /**
     * @return array
     */
    public function getSections()
    {
        return $this->sections;
    }

    /**
     * @param array $sections
     */
    public function setSections( $sections )
    {
        $this->sections = $sections;
    }

    /**
     * @return OnpubImage
     */
    public function getImage()
    {
        return $this->image;
    }

    /**
     * @param OnpubImage $image
     */
    public function setImage( OnpubImage $image )
    {
        $this->image = $image;
    }

    /**
     * @return OnpubSection
     */
    public function getParent()
    {
        return $this->parent;
    }

    /**
     * @param OnpubSection $parent
     */
    public function setParent( OnpubSection $parent )
    {
        $this->parent = $parent;
    }
}

?>
