<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubapi
 * @version 0.8.3
 */
class OnpubWebsite
{
    private $ID;
    private $imageID;
    private $name;
    private $url;
    private $imagesURL;
    private $imagesDirectory;
    private $created;
    private $modified;
    private $sections;
    private $articles;
    private $image;

    function __construct()
    {
        $this->ID = null;
        $this->imageID = null;
        $this->name = "";
        $this->url = "";
        $this->imagesURL = "";
        $this->imagesDirectory = "";
        $this->created = new OnpubDateTime();
        $this->modified = new OnpubDateTime();
        $this->sections = array();
        $this->articles = array();
        $this->image = null;
    }

    /**
     * @return int
     */
    public function getID()
    {
        return $this->ID;
    }

    /**
     * @param int
     */
    public function setID( $ID )
    {
        $this->ID = $ID;
    }

    /**
     * @return int
     */
    public function getImageID()
    {
        return $this->imageID;
    }

    /**
     * @param int
     */
    public function setImageID( $imageID )
    {
        $this->imageID = $imageID;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string
     */
    public function setName( $name )
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getURL()
    {
        return $this->url;
    }

    /**
     * @param string
     */
    public function setURL( $url )
    {
        $this->url = $url;
    }

    /**
     * @return string
     */
    public function getImagesURL()
    {
        return $this->imagesURL;
    }

    /**
     * @param string
     */
    public function setImagesURL( $imagesURL )
    {
        $this->imagesURL = $imagesURL;
    }

    /**
     * @return string
     */
    public function getImagesDirectory()
    {
        return $this->imagesDirectory;
    }

    /**
     * @param string
     */
    public function setImagesDirectory( $imagesDirectory )
    {
        $this->imagesDirectory = $imagesDirectory;
    }

    /**
     * @return OnpubDateTime
     */
    public function getCreated()
    {
        return $this->created;
    }

    /**
     * @param OnpubDateTime
     */
    public function setCreated( OnpubDateTime $created )
    {
        $this->created = $created;
    }

    /**
     * @return OnpubDateTime
     */
    public function getModified()
    {
        return $this->modified;
    }

    /**
     * @param OnpubDateTime
     */
    public function setModified( OnpubDateTime $modified )
    {
        $this->modified = $modified;
    }

    /**
     * @return array
     */
    public function getSections()
    {
        return $this->sections;
    }

    /**
     * @param array
     */
    public function setSections( $sections )
    {
        $this->sections = $sections;
    }

    /**
     * @return array
     */
    public function getArticles()
    {
        return $this->articles;
    }

    /**
     * @param array
     */
    public function setArticles( $articles )
    {
        $this->articles = $articles;
    }

    /**
     * @return OnpubImage
     */
    public function getImage()
    {
        return $this->image;
    }

    /**
     * @param OnpubImage $image
     */
    public function setImage( OnpubImage $image )
    {
        $this->image = $image;
    }
}

?>
