<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubArticleCreate
{
    private $pdo;
    private $oarticle;
    private $oauthor;
    private $tidyConfig;
    private $nltobr;
    private $delbr;

    function __construct( PDO $pdo, OnpubArticle $oarticle, OnpubAuthor $oauthor, $tidyConfig = array(), $nltobr = "0", $delbr = "0" )
    {
        $this->pdo = $pdo;
        $this->oarticle = $oarticle;
        $this->oauthor = $oauthor;
        $this->tidyConfig = $tidyConfig;
        $this->nltobr = $nltobr;
        $this->delbr = $delbr;
    }

    public function display()
    {
        $oimages = new OnpubImages( $this->pdo );
        $owebsites = new OnpubWebsites( $this->pdo );
        $oauthors = new OnpubAuthors( $this->pdo );
        $osections = new OnpubSections( $this->pdo );

        try {
            $queryOptions = new OnpubQueryOptions();
            $queryOptions->setOrderBy( "name" );
            $queryOptions->setOrder( "ASC" );
            $websites = $owebsites->select( $queryOptions );


            $queryOptions = new OnpubQueryOptions();
            $queryOptions->setOrderBy( "fileName" );
            $queryOptions->setOrder( "ASC" );
            $images = $oimages->select( $queryOptions );
        }
        catch ( PDOException $e ) {
            throw $e;
        }

        $widget = new OnpubHeaderWidget( "Article Creator" );
        $widget->display();

        include("gui/fckeditor/fckeditor.php");

        echo '<form action="index.php" method="post">' . "\n";

        echo '<table cellspacing="0" cellpadding="5" border="0">' . "\n";

        echo '<tr>' . "\n";
        echo '<td class="buttons"><a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'create.gif" border="0" alt="Create" /></a></td>' . "\n";
        echo '</tr>' . "\n";

        echo '<tr>' . "\n";

        if ( $this->oarticle->getTitle() === null ) {
            echo '<td><b>Title</b><br /><input type="text" maxlength="255" size="75" name="title" value="" /> <span class="error">&laquo; required field</span></td>' . "\n";
        }
        else {
            echo '<td><b>Title</b><br /><input type="text" maxlength="255" size="75" name="title" value="' . htmlentities( $this->oarticle->getTitle() ) . '" /></td>' . "\n";
        }

        echo '</tr>' . "\n";

        echo '<tr>' . "\n";
        echo '<td><b>Author</b><br /><input type="text" maxlength="255" size="75" name="displayAs" value="' . htmlentities( $this->oauthor->getDisplayAs() ) . '" /></td>' . "\n";
        echo '</tr>' . "\n";

        echo '<tr>' . "\n";
        echo '<td><b>Content</b><br />' . "\n";

        $oFCKeditor = new FCKeditor('content');
        $oFCKeditor->BasePath = 'gui/fckeditor/';
        $oFCKeditor->Value = $this->oarticle->getContent();
        $oFCKeditor->Width = '830';
        $oFCKeditor->Height = '330';
        $oFCKeditor->Config["CustomConfigurationsPath"] = '../../js/fckconfig.js';
        $oFCKeditor->Create();
/*
        echo '<br />' . "\n";

        if ( $this->nltobr == "1" ) {
            echo '<input type="checkbox" id="id_nltobr" name="nltobr" value="1" checked="checked" /> <label for="id_nltobr">Automatically insert a break tag for each line break</label><br />' . "\n";
        }
        else {
            echo '<input type="checkbox" id="id_nltobr" name="nltobr" value="1" /> <label for="id_nltobr">Automatically insert a break tag for each line break</label><br />' . "\n";
        }

        if ( $this->delbr == "1" ) {
            echo '<input type="checkbox" id="id_delbr" name="delbr" value="1" checked="checked" /> <label for="id_delbr">Delete all break tags</label><br />' . "\n";
        }
        else {
            echo '<input type="checkbox" id="id_delbr" name="delbr" value="1" /> <label for="id_delbr">Delete all break tags</label><br />' . "\n";
        }
*/

        echo '</td>' . "\n";
        echo '</tr>' . "\n";

        if ( function_exists( "tidy_repair_string" ) ) {
            echo '<tr>' . "\n";
            echo '<td><b>HTML Tidy</b><br />' . "\n";

            if ( $this->tidyConfig["markup"] ) {
                echo '<input type="checkbox" id="id_markup" name="markup" value="1" checked="checked" /> <label for="id_markup">Tidy HTML in Content</label><br />' . "\n";
            }
            else {
                echo '<input type="checkbox" id="id_markup" name="markup" value="1" /> <label for="id_markup">Tidy HTML in Content</label><br />' . "\n";
            }

            echo '</td>' . "\n";
            echo '</tr>' . "\n";
        }

        $widget = new OnpubCreatedWidget( $this->oarticle->getCreated() );
        $widget->display();

        echo '<tr>' . "\n";
        echo '<td><b>URL</b><br /><input type="text" maxlength="255" size="75" name="url" value="' . htmlentities( $this->oarticle->getURL() ) . '" /></td>' . "\n";
        echo '</tr>' . "\n";
/*
        $widget = new OnpubImagesWidget( "Image", $this->oarticle->getImageID(), $images );
        $widget->display();
*/
        $widget = new OnpubSectionsWidget( $this->oarticle->getSectionIDs(), $websites, $osections );
        $widget->display();

        echo '<tr>' . "\n";
        echo '<td class="buttons"><a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'create.gif" border="0" alt="Create" /></a></td>' . "\n";
        echo '</tr>' . "\n";

        echo '</table>' . "\n";

        echo '<div><input type="hidden" name="onpub" value="ArticleCreateProcess" /></div>' . "\n";

        echo '</form>' . "\n";

        $widget = new OnpubFooterWidget();
        $widget->display();
    }

    public function process()
    {
        $oarticles = new OnpubArticles( $this->pdo );

        if ( $this->oauthor->getDisplayAs() ) {
            $authors = array( $this->oauthor );
            $this->oarticle->setAuthors( $authors );
        }

        $content = OnpubDatabase::utf8Decode( $this->oarticle->getContent() );

        if ( $this->nltobr == "1" ) {
            $content = nl2br( $content );
        }

        if ( $this->delbr == "1" ) {
            $content = str_ireplace( "<br>", "", $content );
            $content = str_ireplace( "<br />", "", $content );
        }

        if ( function_exists( "tidy_repair_string" ) ) {
            if ( $this->tidyConfig["markup"] ) {
                $content = tidy_repair_string( $content, $this->tidyConfig, "latin1" );
            }
        }

        $this->oarticle->setContent( $content );

        try {
            $oarticles->insert( $this->oarticle );
        }
        catch ( PDOException $e ) {
            throw $e;
        }
    }

    public function validate()
    {
        if ( !$this->oarticle->getTitle() ) {
            $this->oarticle->setTitle( null );

            $content = OnpubDatabase::utf8Decode( $this->oarticle->getContent() );

            if ( $this->nltobr == "1" ) {
                $content = nl2br( $content );
            }

            if ( $this->delbr == "1" ) {
                $content = str_ireplace( "<br>", "", $content );
                $content = str_ireplace( "<br />", "", $content );
            }

            if ( function_exists( "tidy_repair_string" ) ) {
                if ( $this->tidyConfig["markup"] ) {
                    $content = tidy_repair_string( $content, $this->tidyConfig, "latin1" );
                }
            }

            $this->oarticle->setContent( $content );

            return false;
        }

        return true;
    }
}

?>
