<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubArticleDelete
{
    private $pdo;
    private $IDs;

    function __construct( PDO $pdo, $IDs )
    {
        $this->pdo = $pdo;
        $this->IDs = $IDs;
    }

    public function display()
    {
        $oarticles = new OnpubArticles( $this->pdo );
        $articles = array();

        try {
            if ( is_array( $this->IDs ) ) {
                $queryOptions = new OnpubQueryOptions();
                $queryOptions->setIncludeContent( false );

                for ( $i = 0; $i < sizeof( $this->IDs ); $i++ ) {
                    $articles[] = $oarticles->get( $this->IDs[$i], $queryOptions );
                }
            }
        }
        catch ( PDOException $e ) {
            throw $e;
        }

        $widget = new OnpubHeaderWidget( "Delete Articles" );
        $widget->display();

        echo '<form action="index.php" method="post">' . "\n";

        echo '<div class="no-table">' . "\n";

        if ( sizeof( $articles ) ) {
            if ( sizeof( $articles ) > 1 ) {
                echo '<b>Selected Articles</b>' . "\n";
            }
            else {
                echo '<b>Selected Article</b>' . "\n";
            }

            echo '<br />' . "\n";

            for ( $i = 0; $i < sizeof( $articles ); $i++ ) {
                echo '<a href="index.php?onpub=ArticleView&amp;ID=' . $articles[$i]->getID() . '" title="View">' . $articles[$i]->getTitle() . '</a><br />' . "\n";
                echo '<div><input type="hidden" name="IDs[]" value="' . $articles[$i]->getID() . '" /></div>' . "\n";
            }

            echo '<br />' . "\n";

            echo '<a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'delete.gif" width="60" height="25" border="0" alt="Delete" title="Delete" /></a>' . "\n";
        }
        else {
            echo '<span class="error">No articles were selected to delete.</span>' . "\n";
        }

        echo '</div>' . "\n";

        echo '<div><input type="hidden" name="onpub" value="ArticleDeleteProcess" /></div>' . "\n";

        echo '</form>' . "\n";

        $widget = new OnpubFooterWidget();
        $widget->display();
    }

    public function validate()
    {

    }

    public function process()
    {
        $oarticles = new OnpubArticles( $this->pdo );

        try {
            for ( $i = 0; $i < sizeof( $this->IDs ); $i++ ) {
                $oarticles->delete( $this->IDs[$i] );
            }
        }
        catch ( PDOException $e ) {
            throw $e;
        }
    }
}

?>
