<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubArticleView
{
    private $pdo;
    private $ID;

    function __construct( PDO $pdo, $ID )
    {
        $this->pdo = $pdo;
        $this->ID = $ID;
    }

    public function display()
    {
        $oarticles = new OnpubArticles( $this->pdo );
        $osections = new OnpubSections( $this->pdo );
        $oimages = new OnpubImages( $this->pdo );
        $owebsites = new OnpubWebsites( $this->pdo );
        $osamaps = new OnpubSAMaps( $this->pdo );

        $queryOptions = new OnpubQueryOptions();
        $queryOptions->setIncludeAuthors( true );
        $article = $oarticles->get( $this->ID, $queryOptions );
        $created = $article->getCreated();
        $modified = $article->getModified();
        $authors = $article->getAuthors();
        $websites = $owebsites->select( new OnpubQueryOptions() );
        $websitesassoc = array();
        $queryOptions = new OnpubQueryOptions();
        $samaps = $osamaps->select( $queryOptions, null, $this->ID );
        $sections = array();

        foreach ( $samaps as $samap ) {
            $sections[] = $osections->get( $samap->getSectionID() );
        }

        foreach ( $websites as $website ) {
            $ID = $website->getID();
            $websitesassoc["$ID"] = $website;
        }

        if ( $article->getImageID() ) {
            $image = $article->getImage();
        }

        $widget = new OnpubHeaderWidget( "Article Viewer" );
        $widget->display();

        echo '<table width="100%" border="0" cellpadding="5" cellspacing="0">' . "\n";
        echo '<tr>' . "\n";
        echo '<td class="buttons"><a href="index.php?onpub=ArticleEdit&amp;ID=' . $article->getID() . '"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'edit.gif" width="60" height="25" alt="Edit" title="Edit" border="0" /></a></td>' . "\n";
        echo '</tr>' . "\n";

        echo '<tr>' . "\n";
        echo '<td><b>ID</b><br />' . $article->getID() . '</td>' . "\n";
        echo '</tr>' . "\n";

        echo '<tr>' . "\n";
        echo '<td><b>Created</b><br />' . $created->getTextualDateTime() . '</td>' . "\n";
        echo '</tr>' . "\n";

        echo '<tr>' . "\n";
        echo '<td><b>Modified</b><br />' . $modified->getTextualDateTime() . '</td>' . "\n";
        echo '</tr>' . "\n";

        if ( sizeof ( $sections ) ) {
            echo '<tr valign="top">' . "\n";
            echo '<td>' . "\n";

            echo '<b>' . "\n";

            if ( sizeof( $sections ) == 1 ) {
                echo 'Section ';
            }
            elseif ( sizeof( $sections ) > 1 ) {
                echo 'Sections ';
            }
            else {
                // no sections
            }

            echo '</b><br />' . "\n";

            for ( $i = 0; $i < sizeof( $sections ); $i++ ) {
                $sectionWebsiteID = $sections[$i]->getWebsiteID();

                if ( $i + 1 == sizeof( $sections ) ) {
                    echo '<a href="index.php?onpub=SectionEdit&amp;ID=' . $sections[$i]->getID() . '" title="Edit">' . $sections[$i]->getName() . '</a> Website: <a href="index.php?onpub=WebsiteEdit&amp;ID=' . $sections[$i]->getWebsiteID() . '" title="Edit">' . $websitesassoc["$sectionWebsiteID"]->getName() . '</a>';
                }
                else {
                    echo '<a href="index.php?onpub=SectionEdit&amp;ID=' . $sections[$i]->getID() . '" title="Edit">' . $sections[$i]->getName() . '</a> Website: <a href="index.php?onpub=WebsiteEdit&amp;ID=' . $sections[$i]->getWebsiteID() . '" title="Edit">' . $websitesassoc["$sectionWebsiteID"]->getName() . '</a><br />';
                }
            }

            echo '</td>' . "\n";
            echo '</tr>' . "\n";
        }

        if ( $article->getURL() ) {
            echo '<tr>' . "\n";
            echo '<td><b>URL</b><br />' . $article->getURL() . '</td>' . "\n";
            echo '</tr>' . "\n";
        }

        echo '<tr>' . "\n";
        echo '<td><b>Title</b><br /><a href="index.php?onpub=ArticleEdit&amp;ID=' . $article->getID() . '" title="Edit">' . $article->getTitle() . '</a></td>' . "\n";
        echo '</tr>' . "\n";

        if ( sizeof( $authors ) ) {
            echo '<tr valign="top">' . "\n";
            echo '<td>' . "\n";

            echo '<b>' . "\n";

            if ( sizeof( $authors ) == 1 ) {
                echo 'Author ';
            }
            elseif ( sizeof( $authors ) > 1 ) {
                echo 'Aritcle Authors ';
            }
            else {
                // no authors
            }

            echo '</b><br />' . "\n";

            for ( $i = 0; $i < sizeof( $authors ); $i++ ) {
                if ( $i + 1 == sizeof( $authors ) ) {
                    echo $authors[$i]->getDisplayAs();
                }
                else {
                    echo $authors[$i]->getDisplayAs() . '<br />';
                }
            }

            echo '</td>' . "\n";
            echo '</tr>' . "\n";
        }

        echo '</table>' . "\n";

        echo '<div class="no-table">' . "\n";

        echo '<hr />' . "\n";

        echo $article->getContent() . "\n";

        echo '<br />' . "\n";

        echo '<hr />' . "\n";

        if ( $article->getImageID() ) {
            echo '<b>Image</b><br />' . "\n";

            $image = $article->getImage();
            $imageWebsiteID = $image->getWebsiteID();
            $website = $websitesassoc["$imageWebsiteID"];

            if ( file_exists( $website->getImagesDirectory() . $image->getFileName() ) ) {
                $imageDimensions = getimagesize( $website->getImagesDirectory() . $image->getFileName() );
                $imageFileInfo = stat( $website->getImagesDirectory() . $image->getFileName() );

                $imageFileSize = $imageFileInfo[7];
                $imageWidth = $imageDimensions[0];
                $imageHeight = $imageDimensions[1];
            }
            else {
                $imageWidth = "";
                $imageHeight = "";
            }

            if ( @fopen( $website->getImagesURL() . $image->getFileName(), 'r' ) ) {
                echo '<a href="index.php?onpub=ImageEdit&amp;ID=' . $image->getID() . '"><img src="' . $website->getImagesURL() . $image->getFileName() . '" width="' . $imageWidth . '" height="' . $imageHeight . '" alt="Edit" title="Edit" border="0" /></a>' . "\n";
            }
            else {
                echo '<span class="error">Can\'t display ' . $image->getFileName() . ', make sure <a href="index.php?onpub=WebsiteEdit&amp;ID=' . $website->getID() . '" title="Edit">' . $website->getName() . '</a>\'s <b>Images URL</b> is setup correctly.</span>' . "\n";
            }
        }

        echo '</div>' . "\n";


        $widget = new OnpubFooterWidget();
        $widget->display();
    }
}

?>
