<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubArticlesWidget
{
    private $pdo;
    private $osection;

    function __construct( PDO $pdo, $osection )
    {
        $this->pdo = $pdo;
        $this->osection = $osection;
    }

    function display()
    {
        $osamaps = new OnpubSAMaps( $this->pdo );
        $oarticles = new OnpubArticles( $this->pdo );

        echo '<tr>' . "\n";
        echo '<td><b>Articles</b><br />' . "\n";

        echo '<select name="IDs[]" size="10" multiple="multiple">' . "\n";

        $queryOptions = new OnpubQueryOptions();
        $queryOptions->setOrderBy( "ID" );
        $queryOptions->setOrder( "ASC" );
        $samaps = $osamaps->select( $queryOptions, $this->osection->getID() );

        if ( sizeof( $samaps ) ) {
            for ( $i = 0; $i < sizeof( $samaps ); $i++ ) {
                $article = $oarticles->get( $samaps[$i]->getArticleID(), new OnpubQueryOptions() );

                echo '<option value="' . $article->getID() . '" selected="selected">' . strip_tags( $article->getTitle() ) . '</option>';
            }
        }
        else {
            echo '<option value="">None</option>';
        }

        echo '</select>' . "\n";

        echo '</td>' . "\n";
        echo '</tr>' . "\n";
    }
}

?>
