<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubDataRestore
{
    private $pdo;
    private $tablesFile;
    private $tablesFileName;

    function __construct( PDO $pdo, $tablesFile = "", $tablesFileName = "" )
    {
        $this->pdo = $pdo;
        $this->tablesFile = $tablesFile;
        $this->tablesFileName = $tablesFileName;
    }

    public function display()
    {
        $widget = new OnpubHeaderWidget( "Restore A Previous Backup" );
        $widget->display();

        echo '<form action="index.php" method="post" enctype="multipart/form-data">' . "\n";

        echo '<table border="0" cellpadding="5" cellspacing="0">' . "\n";
        echo '<tr>' . "\n";

        if ( $this->tablesFileName === null ) {
            echo '<td><b>Backup File</b><br /><input type="file" size="70" name="tablesFile" /> <span class="error">&laquo; required field</span></td>' . "\n";
        }
        else {
            echo '<td><b>Backup File</b><br /><input type="file" size="70" name="tablesFile" /></td>' . "\n";
        }

        echo '<tr>' . "\n";
        echo '<td><a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'upload.gif" border="0" alt="" /></a></td>';
        echo '</tr>' . "\n";
        echo '</table>' . "\n";

        echo '<div><input type="hidden" name="onpub" value="DataRestoreProcess" /></div>' . "\n";

        echo '</form>' . "\n";

        $widget = new OnpubFooterWidget();
        $widget->display();
    }

    public function displayException( Exception $e )
    {
        $widget = new OnpubHeaderWidget( "Tables Uploader Error" );
        $widget->display();

        echo '<form action="index.php" method="post" enctype="multipart/form-data">' . "\n";

        echo '<table border="0" cellpadding="5" cellspacing="0">' . "\n";
        echo '<tr>' . "\n";
        echo '<td>' . "\n";

        switch ( $e->getCode() ) {
            default:
            echo '<span class="error">' . $e->getMessage() . '</span>' . "\n";
            break;
        }

        echo '</td>' . "\n";
        echo '</tr>' . "\n";
        echo '</table>' . "\n";

        $widget = new OnpubFooterWidget();
        $widget->display();
    }

    public function validate()
    {
        $valid = true;

        if ( !$this->tablesFileName ) {
            $this->tablesFileName = null;
            $valid = false;
        }

        return $valid;
    }

    public function process()
    {

    }
}

?>
