<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubHeaderWidget
{
    private $title;

    function __construct( $title = "" )
    {
        $this->title = $title;
    }

    function display()
    {
        echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">' . "\n";
        echo '<html>' . "\n";
        echo '<head>' . "\n";
        echo '<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />' . "\n";
        echo '<link rel="stylesheet" type="text/css" href="gui/css/onpub.css" />' . "\n";
        echo '<script src="gui/js/onpub.js" type="text/javascript"></script>' . "\n";
        echo '<title>' . strip_tags( "Onpub (on " . $_SERVER["SERVER_NAME"] . ") - " . $this->title ) . '</title>' . "\n";
        echo '</head>' . "\n";
        echo '<body>' . "\n";
        echo '<a name="top"></a>' . "\n";
        echo '<table cellspacing="0" cellpadding="0" border="0">' . "\n";
        echo '<tr>' . "\n";
        echo '<td align="center" valign="bottom" class="onpubs"><a href="index.php"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'onpub.gif" width="130" height="40" alt="Onpub" title="Onpub" border="0" /></a></td>' . "\n";

        if ( $this->title ) {
            echo '<td valign="bottom" class="title">' . $this->title . '</td>' . "\n";
        }
        else {
            echo '<td valign="bottom" class="title">Onpub (on ' . $_SERVER["SERVER_NAME"] . ')</td>' . "\n";
        }

        echo '</tr>' . "\n";
        echo '<tr valign="top">' . "\n";

        if ( defined( "ONPUBGUI_SQLITE_DB_FILE" ) ) {
            echo '<td align="center"><a href="index.php?onpub=ArticleCreate"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'articlecreator.gif" width="130" height="35" alt="Article Creator" title="Article Creator" border="0" /></a><br /><a href="index.php?onpub=ArticleSelect"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'articleeditor.gif" width="130" height="35" alt="Article Editor" title="Article Editor" border="0" /></a><br /><a href="index.php?onpub=ImageSelect"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'imageeditor.gif" width="130" height="35" alt="Image Editor" title="Image Editor" border="0" /></a><br /><a href="index.php?onpub=ImageUpload"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'imageuploader.gif" width="130" height="35" alt="Image Uploader" title="Image Uploader" border="0" /></a><br /><a href="index.php?onpub=SectionCreate"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'sectioncreator.gif" width="130" height="35" alt="Section Creator" title="Section Creator" border="0" /></a><br /><a href="index.php?onpub=SectionSelect"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'sectioneditor.gif" width="130" height="35" alt="Section Editor" title="Section Editor" border="0" /></a><br /><a href="index.php?onpub=WebsiteCreate"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'websitecreator.gif" width="130" height="35" alt="Website Creator" title="Website Creator" border="0" /></a><br /><a href="index.php?onpub=WebsiteSelect"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'websiteeditor.gif" width="130" height="35" alt="Website Editor" title="Website Editor" border="0" /></a><br /><a href="docs/index.html" target="_blank"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'help.png" width="30" height="35" alt="Help" title="Help" border="0" /></a></td>' . "\n";
        }
        else {
            echo '<td align="center"><a href="index.php?onpub=ArticleCreate"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'articlecreator.gif" width="130" height="35" alt="Article Creator" title="Article Creator" border="0" /></a><br /><a href="index.php?onpub=ArticleSelect"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'articleeditor.gif" width="130" height="35" alt="Article Editor" title="Article Editor" border="0" /></a><br /><a href="index.php?onpub=ImageSelect"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'imageeditor.gif" width="130" height="35" alt="Image Editor" title="Image Editor" border="0" /></a><br /><a href="index.php?onpub=ImageUpload"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'imageuploader.gif" width="130" height="35" alt="Image Uploader" title="Image Uploader" border="0" /></a><br /><a href="index.php?onpub=SectionCreate"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'sectioncreator.gif" width="130" height="35" alt="Section Creator" title="Section Creator" border="0" /></a><br /><a href="index.php?onpub=SectionSelect"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'sectioneditor.gif" width="130" height="35" alt="Section Editor" title="Section Editor" border="0" /></a><br /><a href="index.php?onpub=WebsiteCreate"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'websitecreator.gif" width="130" height="35" alt="Website Creator" title="Website Creator" border="0" /></a><br /><a href="index.php?onpub=WebsiteSelect"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'websiteeditor.gif" width="130" height="35" alt="Website Editor" title="Website Editor" border="0" /></a><br /><a href="index.php?onpub=Logout"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'logout.png" width="60" height="35" alt="Logout" title="Logout" border="0" /></a><br /><a href="docs/index.html" target="_blank"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'help.png" width="30" height="35" alt="Help" title="Help" border="0" /></a></td>' . "\n";
        }

        echo '<td class="content">' . "\n";
        echo '<!-- CONTENT START -->' . "\n";
    }
}

?>
