<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubImageUpload
{
    private $pdo;
    private $imageID;
    private $imageFile;
    private $fileName;
    private $websiteID;

    function __construct( PDO $pdo, $imageFile = "", $fileName = "", $websiteID = null )
    {
        $this->pdo = $pdo;
        $this->imageID = null;
        $this->imageFile = $imageFile;
        $this->fileName = $fileName;
        $this->websiteID = $websiteID;
    }

    public function display()
    {
        $owebsites = new OnpubWebsites( $this->pdo );

        try {
            $queryOptions = new OnpubQueryOptions();
            $queryOptions->setOrderBy( "name" );
            $queryOptions->setOrder( "ASC" );
            $websites = $owebsites->select( $queryOptions );
        }
        catch ( PDOException $e ) {
            throw $e;
        }

        $widget = new OnpubHeaderWidget( "Image Uploader" );
        $widget->display();

        echo '<form action="index.php" method="post" enctype="multipart/form-data">' . "\n";

        echo '<table border="0" cellpadding="5" cellspacing="0">' . "\n";
        echo '<tr>' . "\n";

        echo '<td>' . "\n";

        if ( $this->fileName === null ) {
            echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /> <span class="error">&laquo; required field</span><br /><br />' . "\n";
        }
        else {
            echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        }

        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
/*
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" /><br /><br />' . "\n";
*/
        echo '<b>Image File</b><br /><input type="file" size="70" name="imageFile[]" />' . "\n";

        echo '</td>' . "\n";

        $widget = new OnpubWebsitesWidget( $this->websiteID, $websites, "image" );
        $widget->display();

        echo '<tr>' . "\n";
        echo '<td><a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'upload.gif" border="0" alt="" /></a></td>';
        echo '</tr>' . "\n";
        echo '</table>' . "\n";

        echo '<div><input type="hidden" name="onpub" value="ImageUploadProcess" /></div>' . "\n";

        echo '</form>' . "\n";

        $widget = new OnpubFooterWidget();
        $widget->display();
    }

    public function displayException( Exception $e )
    {
        $owebsites = new OnpubWebsites( $this->pdo );

        try {
            $website = $owebsites->get( $this->websiteID );
        }
        catch ( PDOException $e ) {
            throw $e;
        }

        $widget = new OnpubHeaderWidget( "Image Uploader" );
        $widget->display();

        echo '<form action="index.php" method="post" enctype="multipart/form-data">' . "\n";

        echo '<table border="0" cellpadding="5" cellspacing="0">' . "\n";
        echo '<tr>' . "\n";
        echo '<td>' . "\n";

        switch ( $e->getCode() ) {
            case ONPUBGUI_ERROR_MOVE_UPLOADED_FILE:
            echo '<span class="error">' . $e->getMessage() . '</span>' . "\n";
            echo '<br /><br />' . "\n";
            echo '<a href="index.php?onpub=WebsiteEdit&amp;websiteID=' . $this->websiteID . '">Edit Website <i>' . $website->getName() . '</i></a> and make sure the <b>Images Directory</b> is setup correctly.' . "\n";
            break;
            default:
            echo '<span class="error">' . $e->getMessage() . '</span>' . "\n";
            break;
        }

        echo '</td>' . "\n";
        echo '</tr>' . "\n";
        echo '</table>' . "\n";

        $widget = new OnpubFooterWidget();
        $widget->display();
    }

    public function validate()
    {
        $valid = false;

        foreach ( $this->fileName as $fileName ) {
            if ( $fileName ) {
                $valid = true;
                break;
            }
        }

        if ( !$valid ) {
            $this->fileName = null;
        }

        if ( !$this->websiteID ) {
            $this->websiteID = "";
            $valid = false;
        }

        return $valid;
    }

    public function process()
    {
        $oimages = new OnpubImages( $this->pdo );
        $owebsites = new OnpubWebsites( $this->pdo );

        for ( $i = 0; $i < sizeof( $this->fileName ); $i++ ) {
            if ( $this->fileName[$i] ) {
                $image = new OnpubImage();
                $image->setWebsiteID( $this->websiteID );
                $image->setFileName( $this->fileName[$i] );

                try {
                    $this->imageID = $oimages->getID( $image );
                }
                catch ( PDOException $e ) {
                    throw $e;
                }

                if ( !$this->imageID ) {
                    try {
                        $website = $owebsites->get( $image->getWebsiteID(), false );
                    }
                    catch ( PDOException $e ) {
                        throw $e;
                    }

                    if ( is_uploaded_file( $this->imageFile[$i] ) ) {
                        if ( !@move_uploaded_file( $this->imageFile[$i], $website->getImagesDirectory() . $this->fileName[$i] ) ) {
                            $imagesDirectory = $website->getImagesDirectory();
                            $message = "Unable to move uploaded file <i>" . $this->fileName[$i] . "</i> to Images Directory <i>$imagesDirectory</i>.";
                            throw new Exception( $message, ONPUBGUI_ERROR_MOVE_UPLOADED_FILE );
                        }

                        if ( !chmod( $website->getImagesDirectory() . $this->fileName[$i], 0664 ) ) {
                            $imagesDirectory = $website->getImagesDirectory();
                            $message = "Unable to change permissions for uploaded file <i>" . $this->fileName[$i] . "</i> in Images Directory <i>$imagesDirectory</i>.";
                            throw new Exception( $message, ONPUBGUI_ERROR_CHMOD );
                        }
                    }

                    try {
                        $this->imageID = $oimages->insert( $image );
                    }
                    catch ( PDOException $e ) {
                        throw $e;
                    }
                }
            }
        }
    }

    public function getImageID()
    {
        return $this->imageID;
    }
}

?>
