<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubImagesWidget
{
    private $heading;
    private $imageID;
    private $images;
    private $website;

    function __construct( $heading, $imageID, $images, $website = null )
    {
        $this->heading = $heading;
        $this->imageID = $imageID;
        $this->images = $images;
        $this->website = $website;
    }

    function display()
    {
        $image = null;

        if ( sizeof( $this->images ) ) {
            echo '<tr>' . "\n";
            echo '<td><b>' . $this->heading . '</b><br />' . "\n";

            if ( $this->imageID ) {
                echo '<select name="imageID" size="1">' . "\n";

                echo '<option value="">None</option>';

                for ( $i = 0; $i < sizeof( $this->images ); $i++ ) {
                    if ( $this->images[$i]->getID() == $this->imageID ) {
                        $image = $this->images[$i];
                        echo '<option value="' . $this->images[$i]->getID() . '" selected="selected">' . strip_tags( $this->images[$i]->getFileName() ) . '</option>';
                    }
                    else {
                        echo '<option value="' . $this->images[$i]->getID() . '">' . strip_tags( $this->images[$i]->getFileName() ) . '</option>';
                    }
                }

                echo '</select>' . "\n";

                if ( $this->website && $image ) {
                    if ( $this->website->getImagesURL() ) {
                        if ( @fopen( $this->website->getImagesURL() . rawurlencode( $image->getFileName() ), 'r' ) ) {
                            echo '<div style="padding-top: 5px;"><a href="index.php?onpub=ImageEdit&amp;ID=' . $image->getID() . '"><img src="' . $this->website->getImagesURL() . $image->getFileName() . '" alt="Edit" title="Edit" border="0" /></a></div>' . "\n";
                        }
                        else {
                            echo ' <span class="error">&laquo; ' . $this->website->getImagesURL() . rawurlencode( $image->getFileName() ) . ' not found</span><br /><span class="tip">Tip:</span> make sure the Images URL of <a href="index.php?onpub=WebsiteEdit&amp;websiteID=' . $this->website->getID() . '">' . $this->website->getName() . '</a> is configured correctly.' . "\n";
                        }
                    }
                }
            }
            else {
                echo '<select name="imageID" size="1">' . "\n";

                echo '<option value="">None</option>';

                for ( $i = 0; $i < sizeof( $this->images ); $i++ ) {
                    echo '<option value="' . $this->images[$i]->getID() . '">' . strip_tags( $this->images[$i]->getFileName() ) . '</option>';
                }

                echo '</select>' . "\n";
            }

            echo '</td>' . "\n";
            echo '</tr>' . "\n";
        }
    }
}

?>
