<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubPaginatorWidget
{
    private $totalItems;
    private $orderBy;
    private $order;
    private $page;
    private $keywords;
    private $fullTextSearch;
    private $idType;
    private $id;
    private $onpub;

    function __construct( $totalItems, $orderBy, $order, $page, $keywords, $fullTextSearch, $idType, $id, $onpub )
    {
        $this->totalItems = $totalItems;
        $this->orderBy = $orderBy;
        $this->order = $order;
        $this->page = $page;
        $this->keywords = $keywords;
        $this->fullTextSearch = $fullTextSearch;
        $this->idType = $idType;
        $this->id = $id;
        $this->onpub = $onpub;
    }

    public function display()
    {
        $counter = 0;
        $currentPage = 1;

        $this->keywords = urlencode( $this->keywords );

        if ( $this->page ) {
            $currentPage = $this->page;
        }

        if ( $this->totalItems > ONPUBGUI_PDO_ROW_LIMIT ) {
            $this->pages = $this->totalItems / ONPUBGUI_PDO_ROW_LIMIT;

            if ( is_double( $this->pages ) ) {
                $this->pages = (int) $this->pages;
                $this->pages++;
            }

            echo '<td class="paginator" align="left" colspan="7">' . "\n";
            echo '' . "\n";

            if ( $currentPage > 1 ) {
                if ( $this->orderBy && $this->order ) {
                    if ( $this->keywords ) {
                        if ( $this->fullTextSearch ) {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($currentPage - 1) . '">&lt;&lt; Previous</a>' . "\n";
                        }
                        else {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($currentPage - 1) . '">&lt;&lt; Previous</a>' . "\n";
                        }
                    }
                    else {
                        if ( $this->id ) {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($currentPage - 1) . '&amp;' . $this->idType . '=' . $this->id . '">&lt;&lt; Previous</a>' . "\n";
                        }
                        else {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($currentPage - 1) . '">&lt;&lt; Previous</a>' . "\n";
                        }
                    }
                }
                else {
                    if ( $this->keywords ) {
                        if ( $this->fullTextSearch ) {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;page=' . ($currentPage - 1) . '">&lt;&lt; Previous</a>' . "\n";
                        }
                        else {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;page=' . ($currentPage - 1) . '">&lt;&lt; Previous</a>' . "\n";
                        }
                    }
                    else {
                        if ( $this->id ) {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . ($currentPage - 1) . '&amp;' . $this->idType . '=' . $this->id . '">&lt;&lt; Previous</a>' . "\n";
                        }
                        else {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . ($currentPage - 1) . '">&lt;&lt; Previous</a>' . "\n";
                        }
                    }
                }
            }
            else {
                echo '&lt;&lt; Previous' . "\n";
            }

            if ( $this->pages > 11 ) {
                if ( $currentPage > 6 ) {
                    if ( $this->orderBy && $this->order ) {
                        if ( $this->keywords ) {
                            if ( $this->fullTextSearch ) {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=1">1...</a>' . "\n";
                            }
                            else {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=1">1...</a>' . "\n";
                            }
                        }
                        else {
                            if ( $this->id ) {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=1&amp;' . $this->idType . '=' . $this->id . '">1...</a>' . "\n";
                            }
                            else {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=1">1...</a>' . "\n";
                            }
                        }
                    }
                    else {
                        if ( $this->keywords ) {
                            if ( $this->fullTextSearch ) {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;page=1">1...</a>' . "\n";
                            }
                            else {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;page=1">1...</a>' . "\n";
                            }
                        }
                        else {
                            if ( $this->id ) {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=1&amp;' . $this->idType . '=' . $this->id . '">1...</a>' . "\n";
                            }
                            else {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=1">1...</a>' . "\n";
                            }
                        }
                    }
                }
                else {
                    echo '1...' . "\n";
                }
            }

            if ( $this->pages < 11 ) {
                for ( $j = 0; $j < $this->pages; $j++ ) {
                    if ( ($j + 1) == $currentPage ) {
                        echo '<b>[' . $currentPage . ']</b>' . "\n";
                    }
                    else {
                        if ( $this->orderBy && $this->order ) {
                            if ( $this->keywords ) {
                                if ( $this->fullTextSearch ) {
                                    echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                }
                                else {
                                    echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                }
                            }
                            else {
                                if ( $this->id ) {
                                    echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '&amp;' . $this->idType . '=' . $this->id . '">' . ($j + 1) . '</a>' . "\n";
                                }
                                else {
                                    echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                }
                            }
                        }
                        else {
                            if ( $this->keywords ) {
                                if ( $this->fullTextSearch ) {
                                    echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                }
                                else {
                                    echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                }
                            }
                            else {
                                if ( $this->id ) {
                                    echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . ($j + 1) . '&amp;' . $this->idType . '=' . $this->id . '">' . ($j + 1) . '</a>' . "\n";
                                }
                                else {
                                    echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                }
                            }
                        }
                    }
                }
            }
            else {
                if ( $currentPage < 7 ) {
                    for ( $j = 0; $j < $this->pages; $j++ ) {
                        if ( ($j + 1) == $currentPage ) {
                            echo '<b>[' . $currentPage . ']</b>' . "\n";
                        }
                        else {
                            if ( $j < 11 ) {
                                if ( $this->orderBy && $this->order ) {
                                    if ( $this->keywords ) {
                                        if ( $this->fullTextSearch ) {
                                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                        }
                                        else {
                                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                        }
                                    }
                                    else {
                                        if ( $this->id ) {
                                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '&amp;' . $this->idType . '=' . $this->id . '">' . ($j + 1) . '</a>' . "\n";
                                        }
                                        else {
                                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                        }
                                    }
                                }
                                else {
                                    if ( $this->keywords ) {
                                        if ( $this->fullTextSearch ) {
                                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                        }
                                        else {
                                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                        }
                                    }
                                    else {
                                        if ( $this->id ) {
                                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . ($j + 1) . '&amp;' . $this->idType . '=' . $this->id . '">' . ($j + 1) . '</a>' . "\n";
                                        }
                                        else {
                                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                else {
                    if ( $currentPage < $this->pages - 5 ) {
                        for ( $j = $this->page - 6; $j < $this->pages; $j++ ) {
                            if ( ($j + 1) == $currentPage ) {
                                echo '<b>[' . $currentPage . ']</b>' . "\n";
                            }
                            else {
                                if ( $j < $currentPage + 5 ) {
                                    if ( $this->orderBy && $this->order ) {
                                        if ( $this->keywords ) {
                                            if ( $this->fullTextSearch ) {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                            else {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                        }
                                        else {
                                            if ( $this->id ) {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '&amp;' . $this->idType . '=' . $this->id . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                            else {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                        }
                                    }
                                    else {
                                        if ( $this->keywords ) {
                                            if ( $this->fullTextSearch ) {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                            else {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                        }
                                        else {
                                            if ( $this->id ) {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . ($j + 1) . '&amp;' . $this->idType . '=' . $this->id . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                            else {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                    else {
                        for ( $j = $this->pages - 11; $j < $this->pages; $j++ ) {
                            if ( ($j + 1) == $currentPage ) {
                                echo '<b>[' . $currentPage . ']</b>' . "\n";
                            }
                            else {
                                if ( $j < $currentPage + 5 ) {
                                    if ( $this->orderBy && $this->order ) {
                                        if ( $this->keywords ) {
                                            if ( $this->fullTextSearch ) {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                            else {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                        }
                                        else {
                                            if ( $this->id ) {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '&amp;' . $this->idType . '=' . $this->id . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                            else {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                        }
                                    }
                                    else {
                                        if ( $this->keywords ) {
                                            if ( $this->fullTextSearch ) {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                            else {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                        }
                                        else {
                                            if ( $this->id ) {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . ($j + 1) . '&amp;' . $this->idType . '=' . $this->id . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                            else {
                                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . ($j + 1) . '">' . ($j + 1) . '</a>' . "\n";
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            if ( $this->pages > 11 ) {
                if ( $currentPage + 5 < $this->pages ) {
                    if ( $this->orderBy && $this->order ) {
                        if ( $this->keywords ) {
                            if ( $this->fullTextSearch ) {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . $this->pages . '">...' . $this->pages . '</a>' . "\n";
                            }
                            else {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . $this->pages . '">...' . $this->pages . '</a>' . "\n";
                            }
                        }
                        else {
                            if ( $this->id ) {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . $this->pages . '&amp;' . $this->idType . '=' . $this->id . '">...' . $this->pages . '</a>' . "\n";
                            }
                            else {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . $this->pages . '">...' . $this->pages . '</a>' . "\n";
                            }
                        }
                    }
                    else {
                        if ( $this->keywords ) {
                            if ( $this->fullTextSearch ) {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;page=' . $this->pages . '">...' . $this->pages . '</a>' . "\n";
                            }
                            else {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;page=' . $this->pages . '">...' . $this->pages . '</a>' . "\n";
                            }
                        }
                        else {
                            if ( $this->id ) {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . $this->pages . '&amp;' . $this->idType . '=' . $this->id . '">...' . $this->pages . '</a>' . "\n";
                            }
                            else {
                                echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . $this->pages . '">...' . $this->pages . '</a>' . "\n";
                            }
                        }
                    }
                }
                else {
                    echo '...' . $this->pages . '' . "\n";
                }
            }

            if ( $currentPage == $this->pages ) {
                echo 'Next &gt;&gt;' . "\n";
            }
            else {
                if ( $this->orderBy && $this->order ) {
                    if ( $this->keywords ) {
                        if ( $this->fullTextSearch ) {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($currentPage + 1) . '">Next &gt;&gt;</a>' . "\n";
                        }
                        else {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($currentPage + 1) . '">Next &gt;&gt;</a>' . "\n";
                        }
                    }
                    else {
                        if ( $this->id ) {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($currentPage + 1) . '&amp;' . $this->idType . '=' . $this->id . '">Next &gt;&gt;</a>' . "\n";
                        }
                        else {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;orderBy=' . $this->orderBy . '&amp;order=' . $this->order . '&amp;page=' . ($currentPage + 1) . '">Next &gt;&gt;</a>' . "\n";
                        }
                    }
                }
                else {
                    if ( $this->keywords ) {
                        if ( $this->fullTextSearch ) {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;fullTextSearch=' . $this->fullTextSearch . '&amp;page=' . ($currentPage + 1) . '">Next &gt;&gt;</a>' . "\n";
                        }
                        else {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;keywords=' . $this->keywords . '&amp;page=' . ($currentPage + 1) . '">Next &gt;&gt;</a>' . "\n";
                        }
                    }
                    else {
                        if ( $this->id ) {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . ($currentPage + 1) . '&amp;' . $this->idType . '=' . $this->id . '">Next &gt;&gt;</a>' . "\n";
                        }
                        else {
                            echo '<a href="index.php?onpub=' . $this->onpub . '&amp;page=' . ($currentPage + 1) . '">Next &gt;&gt;</a>' . "\n";
                        }
                    }
                }
            }

            echo '' . "\n";
            echo '</td>' . "\n";
        }
    }
}

?>
