<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubSectionSelectWidget
{
    private $pdo;
    private $sectionID;

    function __construct( PDO $pdo, $sectionID )
    {
        $this->pdo = $pdo;
        $this->sectionID = $sectionID;
    }

    public function display()
    {
        $owebsites = new OnpubWebsites( $this->pdo );
        $osections = new OnpubSections( $this->pdo );

        echo '<tr>' . "\n";
        echo '<td colspan="4"><b>Display articles in...</b><br />' . "\n";
        echo '<select name="sectionID" onchange="submitForm();">' . "\n";
        echo '<option value="">All Sections</option>';

        $queryOptions = new OnpubQueryOptions();
        $queryOptions->setOrderBy( "name" );
        $queryOptions->setOrder( "ASC" );
        $websites = $owebsites->select( $queryOptions );

        for ( $i = 0; $i < sizeof( $websites ); $i++ ) {
            $queryOptions = new OnpubQueryOptions();
            $queryOptions->setOrderBy( "name" );
            $queryOptions->setOrder( "ASC" );
            $sections = $osections->select( $queryOptions, $websites[$i]->getID() );

            for ( $j = 0; $j < sizeof( $sections ); $j++ ) {
                if ( $sections[$j]->getID() == $this->sectionID ) {
                    echo '<option value="' . $sections[$j]->getID() . '" selected="selected">' . strip_tags( $websites[$i]->getName() ) . ' &ndash; ' . strip_tags( $sections[$j]->getName() ) . '</option>';
                }
                else {
                    echo '<option value="' . $sections[$j]->getID() . '">' . strip_tags( $websites[$i]->getName() ) . ' &ndash; ' . strip_tags( $sections[$j]->getName() ) . '</option>';
                }
            }
        }

        echo '</select>' . "\n";
        echo '</td>' . "\n";
        echo '<td></td><td></td>' . "\n";
        echo '</tr>' . "\n";
    }
}

?>
