<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubTidy
{
    function __construct()
    {
    }

    public static function getDefaultOptions()
    {
        // See: http://tidy.sourceforge.net/docs/quickref.html
        // And: http://php.net/manual/en/ref.tidy.php
        $tidyConfig = array();

        // HTML, XHTML, XML Options
        $tidyConfig["add-xml-decl"] = false;
        $tidyConfig["add-xml-space"] = false;
        $tidyConfig["alt-text"] = false;
        $tidyConfig["assume-xml-procins"] = false;
        $tidyConfig["bare"] = true;
        $tidyConfig["clean"] = true;
        $tidyConfig["css-prefix"] = "";
        $tidyConfig["decorate-inferred-ul"] = false;
        $tidyConfig["doctype"] = "omit";
        $tidyConfig["drop-empty-paras"] = true;
        $tidyConfig["drop-font-tags"] = false;
        $tidyConfig["drop-proprietary-attributes"] = false;
        $tidyConfig["enclose-block-text"] = true;
        $tidyConfig["enclose-text"] = false;
        $tidyConfig["escape-cdata"] = false;
        $tidyConfig["fix-backslash"] = true;
        $tidyConfig["fix-bad-comments"] = true;
        $tidyConfig["fix-uri"] = true;
        $tidyConfig["hide-comments"] = false;
        $tidyConfig["hide-endtags"] = false;
        $tidyConfig["indent-cdata"] = true;
        $tidyConfig["input-xml"] = false;
        $tidyConfig["join-classes"] = false;
        $tidyConfig["join-styles"] = true;
        $tidyConfig["literal-attributes"] = false;
        $tidyConfig["logical-emphasis"] = true;
        $tidyConfig["lower-literals"] = true;
        $tidyConfig["merge-divs"] = false;
        $tidyConfig["ncr"] = true;
        $tidyConfig["new-blocklevel-tags"] = "";
        $tidyConfig["new-empty-tags"] = "";
        $tidyConfig["new-inline-tags"] = "";
        $tidyConfig["new-pre-tags"] = "";
        $tidyConfig["numeric-entities"] = false;
        $tidyConfig["output-html"] = false;
        $tidyConfig["output-xhtml"] = true;
        $tidyConfig["output-xml"] = false;
        $tidyConfig["preserve-entities"] = true;
        $tidyConfig["quote-ampersand"] = true;
        $tidyConfig["quote-marks"] = false;
        $tidyConfig["quote-nbsp"] = true;
        $tidyConfig["repeated-attributes"] = "keep-last";
        $tidyConfig["replace-color"] = false;
        $tidyConfig["show-body-only"] = true;
        $tidyConfig["uppercase-attributes"] = false;
        $tidyConfig["uppercase-tags"] = false;
        $tidyConfig["word-2000"] = true;

        // Diagnostics Options
        $tidyConfig["accessibility-check"] = 0;
        $tidyConfig["show-errors"] = 6;
        $tidyConfig["show-warnings"] = true;

        // Pretty Print Options
        $tidyConfig["break-before-br"] = true;
        $tidyConfig["indent"] = true;
        $tidyConfig["indent-attributes"] = false;
        $tidyConfig["indent-spaces"] = "2";
        $tidyConfig["markup"] = false;
        $tidyConfig["punctuation-wrap"] = false;
        $tidyConfig["split"] = false;
        $tidyConfig["tab-size"] = "8";
        $tidyConfig["vertical-space"] = false;
        $tidyConfig["wrap"] = 80;
        $tidyConfig["wrap-asp"] = false;
        $tidyConfig["wrap-attributes"] = false;
        $tidyConfig["wrap-jste"] = false;
        $tidyConfig["wrap-php"] = false;
        $tidyConfig["wrap-script-literals"] = false;
        $tidyConfig["wrap-sections"] = false;

        // Character Encoding Options
        $tidyConfig["ascii-chars"] = false;
        $tidyConfig["char-encoding"] = "latin1";
        $tidyConfig["input-encoding"] = "latin1";
        $tidyConfig["language"] = "";
        $tidyConfig["newline"] = "";
        $tidyConfig["output-bom"] = false;
        $tidyConfig["output-encoding"] = "latin1";

        return $tidyConfig;
    }
}
