<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubWebsiteCreate
{
    private $pdo;
    private $owebsite;

    function __construct( PDO $pdo, OnpubWebsite $owebsite )
    {
        $this->pdo = $pdo;
        $this->owebsite = $owebsite;
    }

    public function display()
    {
        $widget = new OnpubHeaderWidget( "Website Creator" );
        $widget->display();

        echo '<form action="index.php" method="post" enctype="multipart/form-data">' . "\n";

        echo '<table border="0" cellpadding="5" cellspacing="0">' . "\n";
        echo '<tr>' . "\n";

        if ( $this->owebsite->getName() === null ) {
            echo '<td><b>Name</b><br /><input type="text" maxlength="255" size="' . 30 . '" name="name" value="' . htmlentities( $this->owebsite->getName() ) . '" /> <span class="error">&laquo; required field</span></td>' . "\n";
        }
        else {
            echo '<td><b>Name</b><br /><input type="text" maxlength="255" size="' . 30 . '" name="name" value="" /></td>' . "\n";
        }

        echo '</tr>' . "\n";

        echo '<tr>' . "\n";
        echo '<td><a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'create.gif" border="0" alt="" /></a></td>' . "\n";
        echo '</tr>' . "\n";
        echo '</table>' . "\n";

        echo '<div><input type="hidden" name="onpub" value="WebsiteCreateProcess" /></div>';

        echo '</form>' . "\n";

        $widget = new OnpubFooterWidget();
        $widget->display();
    }

    public function validate()
    {
        if ( !$this->owebsite->getName() ) {
            $this->owebsite->setName( null );
            return false;
        }

        return true;
    }

    public function process()
    {
        $owebsites = new OnpubWebsites( $this->pdo );

        try {
            $owebsites->insert( $this->owebsite );
        }
        catch ( PDOException $e ) {
            throw $e;
        }
    }
}

?>