<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubWebsiteSelectWidget
{
    private $pdo;
    private $websiteID;

    function __construct( PDO $pdo, $websiteID )
    {
        $this->pdo = $pdo;
        $this->websiteID = $websiteID;
    }

    public function display()
    {
        $owebsites = new OnpubWebsites( $this->pdo );

        echo '<tr>' . "\n";
        echo '<td colspan="4"><b>Display sections in...</b><br />' . "\n";
        echo '<select name="websiteID" onchange="submitForm();">' . "\n";
        echo '<option value="">All Websites</option>';

        $queryOptions = new OnpubQueryOptions();
        $queryOptions->setOrderBy( "name" );
        $queryOptions->setOrder( "ASC" );
        $websites = $owebsites->select( $queryOptions );

        for ( $i = 0; $i < sizeof( $websites ); $i++ ) {
            if ( $websites[$i]->getID() == $this->websiteID ) {
                echo '<option value="' . $websites[$i]->getID() . '" selected="selected">' . strip_tags( $websites[$i]->getName() ) . '</option>';
            }
            else {
                echo '<option value="' . $websites[$i]->getID() . '">' . strip_tags( $websites[$i]->getName() ) . '</option>';
            }
        }

        echo '</select>' . "\n";
        echo '</td>' . "\n";
        echo '<td></td><td></td>' . "\n";
        echo '</tr>' . "\n";
    }
}

?>
