<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubWebsitesWidget
{
    private $websiteID;
    private $websites;
    private $heading;

    function __construct( $websiteID, $websites, $heading )
    {
        $this->websiteID = $websiteID;
        $this->websites = $websites;
        $this->heading = $heading;
    }

    function display()
    {
        echo '<tr>' . "\n";
        echo '<td><b>Website</b><br />' . "\n";

        if ( sizeof( $this->websites ) ) {
            if ( $this->websiteID ) {
                echo '<select name="websiteID" size="1">' . "\n";
                echo '<option value="">Select a website...</option>';

                for ( $i = 0; $i < sizeof( $this->websites ); $i++ ) {
                    if ( $this->websites[$i]->getID() == $this->websiteID ) {
                        echo '<option value="' . $this->websites[$i]->getID() . '" selected="selected">' . strip_tags( $this->websites[$i]->getName() ) . '</option>';
                    }
                    else {
                        echo '<option value="' . $this->websites[$i]->getID() . '">' . strip_tags( $this->websites[$i]->getName() ) . '</option>';
                    }
                }

                echo '</select>' . "\n";
            }
            else {
                echo '<select name="websiteID" size="1">' . "\n";
                echo '<option value="">Select a website...</option>';

                for ( $i = 0; $i < sizeof( $this->websites ); $i++ ) {
                    echo '<option value="' . $this->websites[$i]->getID() . '">' . strip_tags( $this->websites[$i]->getName() ) . '</option>';
                }

                if ( $this->websiteID === "" ) {
                    echo '</select> <span class="error">&laquo; required field</span>' . "\n";
                }
                else {
                    echo '</select>' . "\n";
                }
            }
        }
        else {
            if ( $this->websiteID === "" ) {
                echo '<span class="error">There are 0 websites in the database. Use the <a href="index.php?onpub=WebsiteCreate"><strong>Website Creator</strong></a> to create some.</span>' . "\n";
            }
            else {
                echo 'There are 0 websites in the database. Use the <a href="index.php?onpub=WebsiteCreate"><strong>Website Creator</strong></a> to create some.' . "\n";
            }
        }

        echo '</td>' . "\n";

        echo '</tr>' . "\n";
    }
}

?>
