<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubWelcome
{
    private $pdo;

    function __construct( PDO $pdo )
    {
        $this->pdo = $pdo;
    }

    public function display()
    {
        $odatabase = new OnpubDatabase( $this->pdo );
        $status = $odatabase->status();
        $oarticles = new OnpubArticles( $this->pdo );
        $oauthors = new OnpubAuthors( $this->pdo );
        $oimages = new OnpubImages( $this->pdo );
        $osections = new OnpubSections( $this->pdo );
        $owebsites = new OnpubWebsites( $this->pdo );
        $driver = $this->pdo->getAttribute( PDO::ATTR_DRIVER_NAME );

        $widget = new OnpubHeaderWidget( "Welcome" );
        $widget->display();

        echo '<div class="no-table">' . "\n";

        echo '<table border="0" cellspacing="0" cellpadding="0">' . "\n";
        echo '<tr>' . "\n";
        echo '<td colspan="2">' . "\n";
        echo 'Onpub ' . ONPUBAPI_VERSION . ', Copyright &copy; 2007 <a href="http://onpubco.com/" target="_blank">Onpubco</a>.' . "\n";
        echo '<br /><br />' . "\n";

        if ( !defined( "ONPUBGUI_SQLITE_DB_FILE" ) ) {
            echo 'Be sure to <a href="index.php?onpub=Logout">Logout</a> if you are using a public computer.' . "\n";
            echo '<br /><br />' . "\n";
        }

        echo '</td>' . "\n";
        echo '</tr>' . "\n";
        echo '<tr><td colspan="2"><b>Database Connection</b></td></tr>' . "\n";
        echo '<tr><td>Connected database:&nbsp;</td><td>' . $_SESSION["ONPUBAPI_PDO_DATABASE"] . '</td></tr>' . "\n";

        if ( $driver != "sqlite" ) {
            echo '<tr><td>Connected user:</td><td>' . $_SESSION["ONPUBAPI_PDO_USER"] . '</td></tr>' . "\n";
        }

        echo '<tr><td>Database client:</td><td>' . $this->pdo->getAttribute( PDO::ATTR_CLIENT_VERSION ) . ' (on <i>' . $_SERVER['SERVER_NAME'] . '</i>)</td></tr>' . "\n";
        echo '<tr><td>Database driver:</td><td>' . $driver . '</td></tr>' . "\n";

        if ( $driver != "sqlite" ) {
            echo '<tr><td>Database host:</td><td>' . $this->pdo->getAttribute( PDO::ATTR_CONNECTION_STATUS ) . '</td></tr>' . "\n";
        }

        if ( $driver != "sqlite" ) {
            echo '<tr><td>Database server:</td><td>' . $this->pdo->getAttribute( PDO::ATTR_SERVER_VERSION ) . '</td></tr>' . "\n";
        }

        echo '</table>' . "\n";
        echo '<br />' . "\n";
        echo '<table border="0" cellspacing="0" cellpadding="0">' . "\n";

        if ( $status ) {
            if ( $_SERVER['SERVER_NAME'] == 'codebeast.onpubco.com' || $_SERVER['SERVER_NAME'] == 'codebeast' ) {
                $result = 'installed (in database <i>' . $_SESSION["ONPUBAPI_PDO_DATABASE"] . '</i>)<!--<br /><a href="index.php?onpub=DataBackup">Backup the database</a><br /><a href="index.php?onpub=DataRestore">Restore a previous backup</a>--><br /><a href="index.php?onpub=DataDelete">Delete the database schema</a>';
            }
            else {
                $result = 'installed (in database <i>' . $_SESSION["ONPUBAPI_PDO_DATABASE"] . '</i>)<!--<br /><a href="index.php?onpub=DataBackup">Backup the database</a><br /><a href="index.php?onpub=DataRestore">Restore a previous backup</a>-->';
            }
        }
        else {
            $result = '<span class="error">not installed</span><br /><a href="index.php?onpub=SchemaInstall">Install the schema in database <i>' . $_SESSION["ONPUBAPI_PDO_DATABASE"] . '</i></a> (required)<!--<br /><a href="index.php?onpub=DataRestore">Restore a previous backup</a>-->';
        }

        echo '<tr valign="top"><td><b>Database Schema</b></td></tr>' . "\n";

        echo '<tr valign="top"><td>Status: ' . $result . '</td></tr>' . "\n";

        echo '</table>' . "\n";

        echo '<br />' . "\n";

        if ( $status ) {
            echo '<table border="0" cellspacing="0" cellpadding="0">' . "\n";
            echo '<tr><td colspan="2"><b>Database Stats</b></td></tr>' . "\n";
            echo '<tr><td>Articles:</td><td>' . $oarticles->count() . '</td></tr>' . "\n";
            echo '<tr><td>Authors:</td><td>' . $oauthors->count() . '</td></tr>' . "\n";
            echo '<tr><td>Images:</td><td>' . $oimages->count() . '</td></tr>' . "\n";
            echo '<tr><td>Sections:</td><td>' . $osections->count() . '</td></tr>' . "\n";
            echo '<tr><td>Websites:&nbsp;</td><td>' . $owebsites->count() . '</td></tr>' . "\n";
            echo '</table>' . "\n";

            echo '<br />' . "\n";
        }

        echo '<table border="0" cellspacing="0" cellpadding="0">' . "\n";
        echo '<tr><td><b>PHP Extensions</b></td></tr>' . "\n";

        if ( function_exists( "tidy_repair_string" ) ) {
            echo '<tr><td>HTML Tidy: installed (version <i>' . tidy_get_release() . '</i>)</td></tr>' . "\n";
        }
        else {
            echo '<tr><td>HTML Tidy: not installed (optional)</td></tr>' . "\n";
        }

        echo '</table>' . "\n";

        echo '<br />' . "\n";
        echo '' . "\n";
        echo '</div>' . "\n";

        $widget = new OnpubFooterWidget();
        $widget->display();
    }

    public function validate()
    {

    }

    public function process()
    {

    }
}

?>
