<!--

/* Onpub (TM)
 * Copyright (C) 2003-2006 The Online Publishing Company <http://www.onpubco.com/>
 * Author: Corey HM Taylor <corey@onpubco.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

var DEBUG = false; // set to false for no debugging alerts
var AUTHOR_LIST_OPTION_0 = "Add new and existing authors to this list.";
var ARTICLE_LIST_OPTION_0 = "None";
var SECTION_LIST_OPTION_0 = "None";

function addExistingArticle( existingArticles, articleList )
{
    var article;
    var j;
    var options;
    var optionsLength;
    var selectedArticles = new Array();

    if ( existingArticles.selectedIndex == -1 ) {
        alert( "Select an Article first." );
        return;
    }

    for ( var i = 0; i < existingArticles.length; i++ ) {
        if ( existingArticles[i].selected ) {
            selectedArticles.push( i );
        }
    }

    if ( DEBUG ) {
        alert( selectedArticles );
    }

    options = articleList.options;
    optionsLength = options.length;
    j = optionsLength;

    for ( var i = 0; i < selectedArticles.length; i++ ) {
        article = existingArticles[selectedArticles[i]];

        if ( (optionsLength == 1) &&
             (options[0].text == ARTICLE_LIST_OPTION_0) ) {
            options[0] = new Option( article.text,
                                     article.value + "__" +
                                     article.text,
                                     false, true );

            if ( DEBUG ) {
                alert( "option.value = " + options[0].value );
            }
        }
        else {
            options[j] = new Option( article.text,
                                     article.value + "__" +
                                     article.text,
                                     false, true );

            if ( DEBUG ) {
                alert( "option.value = " + options[j].value );
            }

            j++;
        }
    }
}

function addExistingAuthor( existingAuthors, authors, authorList )
{
    var author;
    var j;
    var options;
    var optionsLength;
    var selectedAuthors = new Array();

    for ( var i = 0; i < existingAuthors.length; i++ ) {
        if ( existingAuthors[i].selected ) {
            selectedAuthors.push( i );
        }
    }

    if ( DEBUG ) {
        alert( selectedAuthors );
    }

    author = authors[existingAuthors.selectedIndex];

    if ( !author ) {
        alert( "Select an Existing Author first." );
        return;
    }

    if ( DEBUG ) {
        alert( author );
    }

    options = authorList.options;
    optionsLength = options.length;
    j = optionsLength;

    for ( var i = 0; i < selectedAuthors.length; i++ ) {
        author = authors[selectedAuthors[i]];

        if ( (optionsLength == 1) &&
             (options[0].text == AUTHOR_LIST_OPTION_0) ) {

            options[0] = new Option( author.getDisplayAs(),
                                     author.getAuthorID() + "__" +
                                     author.getDisplayAs(),
                                     false, true );

            if ( DEBUG ) {
                alert( "option.value = " + options[0].value );
            }
        }
        else {
            options[j] = new Option( author.getDisplayAs(),
                                     author.getAuthorID() + "__" +
                                     author.getDisplayAs(),
                                     false, true );

            if ( DEBUG ) {
                alert( "option.value = " + options[j].value );
            }

            j++;
        }
    }
}

function addExistingSection( existingSections, sectionList )
{
    var section;
    var j;
    var options;
    var optionsLength;
    var selectedSections = new Array();
    var sections = existingSections.options;

    for ( var i = 0; i < existingSections.length; i++ ) {
        if ( existingSections[i].selected ) {
            selectedSections.push( i );
        }
    }

    if ( DEBUG ) {
        alert( selectedSections );
    }

    if ( existingSections.selectedIndex == -1 ) {
        alert( "Select a Section first." );
        return;
    }

    if ( DEBUG ) {
        alert( section );
    }

    options = sectionList.options;
    optionsLength = options.length;
    j = optionsLength;

    for ( var i = 0; i < selectedSections.length; i++ ) {
        section = sections[selectedSections[i]];

        if ( (optionsLength == 1) &&
             (options[0].text == SECTION_LIST_OPTION_0) ) {
            options[0] = new Option( section.text,
                                     section.value,
                                     false, true );

            if ( DEBUG ) {
                alert( "option.value = " + options[0].value );
            }
        }
        else {
            options[j] = new Option( section.text,
                                     section.value,
                                     false, true );

            if ( DEBUG ) {
                alert( "option.value = " + options[j].value );
            }

            j++;
        }
    }
}

function addNewAuthor( articleAuthor, authorList )
{
    if ( DEBUG ) {
        alert( "articleAuthor = " + articleAuthor.value +
               "\nauthorList = " + authorList );
    }

    if ( !articleAuthor.value ) {
        alert( "Fill in the New Author field first." );
        return;
    }

    var options = authorList.options;
    var optionsLength = options.length;

    if ( (optionsLength == 1) && (options[0].text ==
                                  AUTHOR_LIST_OPTION_0) ) {
        options[0] = new Option( articleAuthor.value, 0 + "__" +
                                 articleAuthor.value, false, true );

        if ( DEBUG ) {
            alert( "option.value = " + options[0].value );
        }
    }
    else {
        options[optionsLength] = new Option( articleAuthor.value, 0 + "__" +
                                             articleAuthor.value,
                                             false, true );
        if ( DEBUG ) {
            alert( "option.value = " + options[optionsLength].value );
        }
    }

    if ( !DEBUG ) {
        articleAuthor.value = "";
    }
}

function articleDelete()
{
    window.location.href = "index.php?onpub=ArticleDelete&ID=" + document.forms[0].ID.value;
}

function articleEdit()
{
    window.location.href = "index.php?onpub=ArticleEdit&ID=" + document.forms[0].ID.value;
}

function articleEditCancel()
{
    window.location.href = "index.php?onpub=ArticleSelect";
}

function articleView()
{
    window.location.href = "index.php?onpub=ArticleView&ID=" + document.forms[0].ID.value;
}

function clearSearchField()
{
    document.forms[0].keywords.value = "";
}

function configEdit()
{
    window.location.href = "index.php";
}

function imageDelete()
{
    var result = false;

    result = confirm( "Delete this image?" );

    if ( result ) {
        document.forms[0].onpub.value = "ImageDeleteProcess";
        document.forms[0].submit();
    }
}

function imageEdit()
{
    window.location.href = "index.php?onpub=ImageEdit&imageID=" + document.forms[0].imageID.value;
}

function imageEditCancel()
{
    window.location.href = "index.php?onpub=ImageSelect";
}

function moveSelectedOptionUp( selectObject )
{
    var options = selectObject.options;
    var selectedOption = selectObject.options.selectedIndex;

    if ( (selectedOption == 0) || (selectedOption == -1)  ) {
        return;
    }

    var selectedObject  = options[selectedOption];
    var previousObject  = options[selectedOption - 1];

    var tempObject              = new Option( selectedObject.text, selectedObject.value, false, true );
    options[selectedOption]     = new Option( previousObject.text, previousObject.value, false, false );
    options[selectedOption - 1] = tempObject; // tempObject bypasses NS4's broken (?) referencing mechanism
}

function moveSelectedOptionDown( selectObject )
{
    var options = selectObject.options;
    var selectedOption  = selectObject.selectedIndex;

    if ( selectedOption == -1 ) {
        return;
    }

    var selectedObject = options[selectedOption];
    var nextObject     = options[selectedOption + 1];

    if ( !nextObject ) {
        return;
    }

    var tempObject              = new Option( selectedObject.text, selectedObject.value, false, true );
    options[selectedOption]     = new Option( nextObject.text, nextObject.value, false, false );
    options[selectedOption + 1] = tempObject; // tempObject bypasses NS4's broken (?) referencing mechanism
}

function removeSelectedArticle( articleList )
{
    var selectedArticle = articleList.selectedIndex;

    if ( selectedArticle == -1 ) {
        return;
    }

    var options = articleList.options;
    var length = options.length;

    for ( var i = (length - 1); i > -1; i-- ) {
        if ( options[i].selected ) {
            options[i] = null;
        }

        if ( options.length == 0 ) {
            options[0] = new Option( ARTICLE_LIST_OPTION_0, "", false, true );
        }
    }
}

function removeSelectedAuthor( authorList )
{
    var selectedAuthor = authorList.selectedIndex;

    if ( selectedAuthor == -1 ) {
        return;
    }

    var options = authorList.options;
    var length = options.length;

    for ( var i = (length - 1); i > -1; i-- ) {
        if ( options[i].selected ) {
            options[i] = null;
        }

        if ( options.length == 0 ) {
            options[0] = new Option( AUTHOR_LIST_OPTION_0, "", false, true );
        }
    }
}

function removeSelectedSection( sectionList )
{
    var selectedSection = sectionList.selectedIndex;

    if ( selectedSection == -1 ) {
        return;
    }

    var options = sectionList.options;
    var length = options.length;

    for ( var i = (length - 1); i > -1; i-- ) {
        if ( options[i].selected ) {
            options[i] = null;
        }

        if ( options.length == 0 ) {
            options[0] = new Option( SECTION_LIST_OPTION_0, "", false, true );
        }
    }
}

function sectionDelete()
{
    var result = false;

    result = confirm( "Delete this section?" );

    if ( result ) {
        document.forms[0].onpub.value = "SectionDeleteProcess";
        document.forms[0].submit();
    }
}

function sectionEdit()
{
    window.location.href = "index.php?onpub=SectionEdit&sectionID=" + document.forms[0].sectionID.value;
}

function sectionEditCancel()
{
    window.location.href = "index.php?onpub=SectionSelect";
}

function selectAll( selectObject )
{
    var options = selectObject.options;
    var optionsLength = options.length;

    for ( var i = 0; i < optionsLength; i++ ) {
        options[i].selected = true;
    }
}

function selectNone( selectObject )
{
    var options = selectObject.options;
    var optionsLength = options.length;

    for ( var i = 0; i < optionsLength; i++ ) {
        options[i].selected = false;
    }
}

function submitForm()
{
    document.forms[0].submit();
}

function websiteDelete()
{
    var result = false;

    result = confirm( "Delete this website?" );

    if ( result ) {
        document.forms[0].onpub.value = "WebsiteDeleteProcess";
        document.forms[0].submit();
    }
}

function websiteEdit()
{
    window.location.href = "index.php?onpub=WebsiteEdit&websiteID=" + document.forms[0].websiteID.value;
}

function websiteEditCancel()
{
    window.location.href = "index.php?onpub=WebsiteSelect";
}

// -->
