<?php

/* Onpub (TM)
 * Copyright (C) 2007 Onpubco <http://onpubco.com/>
 * Author: Corey HM Taylor <corey@onpubco.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

// SQLite Database Configuartion
// Uncomment the following define to use an SQLite database file (feel free to
// change the name/path of the file).
// The sqlite database file and directory should be owned by the user the
// web server is running as.
// Leave the following define commented out to use a database that requires
// authentication (e.g. MySQL, more secure for public websites)
//define( "ONPUBGUI_SQLITE_DB_FILE", "/var/lib/onpub/onpub.sqlite" );

// Directory Configuration
// Icons, buttons and other Onpub GUI graphics are stored in this directory
define( "ONPUBGUI_IMAGE_DIRECTORY", "gui/images/" );

// UI Configuration
// Controls how many rows get displayed on each page in the Select UIs
define( "ONPUBGUI_PDO_ROW_LIMIT", 10 );

// Error codes for GUI exceptions
define( "ONPUBGUI_ERROR_MOVE_UPLOADED_FILE", 2 );
define( "ONPUBGUI_ERROR_CHMOD", 3 );

// User Interface Classes
include( "classes/OnpubArticleCreate.php" );
include( "classes/OnpubSectionCreate.php" );
include( "classes/OnpubWebsiteCreate.php" );

include( "classes/OnpubArticleDelete.php" );

include( "classes/OnpubArticleEdit.php" );
include( "classes/OnpubImageEdit.php" );
include( "classes/OnpubSectionEdit.php" );
include( "classes/OnpubWebsiteEdit.php" );

include( "classes/OnpubArticleMove.php" );

include( "classes/OnpubLogin.php" );
include( "classes/OnpubWelcome.php" );

include( "classes/OnpubDataRestore.php" );

include( "classes/OnpubArticleSelect.php" );
include( "classes/OnpubImageSelect.php" );
include( "classes/OnpubSectionSelect.php" );
include( "classes/OnpubWebsiteSelect.php" );

include( "classes/OnpubImageUpload.php" );

include( "classes/OnpubTidy.php" );

include( "classes/OnpubArticleView.php" );

include( "classes/OnpubArticlesWidget.php" );
include( "classes/OnpubDateCreatedWidget.php" );
include( "classes/OnpubFooterWidget.php" );
include( "classes/OnpubHeaderWidget.php" );
include( "classes/OnpubImagesWidget.php" );
include( "classes/OnpubPaginatorWidget.php" );
include( "classes/OnpubPDOExceptionWidget.php" );
include( "classes/OnpubSearchWidget.php" );
include( "classes/OnpubSectionSelectWidget.php" );
include( "classes/OnpubSectionsWidget.php" );
include( "classes/OnpubStatsWidget.php" );
include( "classes/OnpubWebsiteSelectWidget.php" );
include( "classes/OnpubWebsitesWidget.php" );

?>
